NSX-T Data Center REST API

Create Segment QoS Profile Binding Map

API will create segment QoS profile binding map. For objects with no binding maps, default profile is applied.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/segments/{segment-id}/segment-qos-profile-binding-maps/{segment-qos-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/segments/{segment-id}/segment-qos-profile-binding-maps/{segment-qos-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
SegmentQoSProfileBindingMap+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/segments/segment_1/segment-qos-profile-binding-maps/1 { "resource_type":" SegmentQoSProfileBindingMap", "display_name":"1", "qos_profile_path":"/infra/qos_profiles/1" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: